# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global srcname verror

Name:           nodejs-%{srcname}
Version:        1.6.0
Release:        3%{?dist}
Summary:        Richer JavaScript errors
License:        MIT
URL:            https://github.com/davepacheco/node-verror
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# https://github.com/davepacheco/node-verror/pull/27
Patch0:         nodejs-verror-tostring.patch

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(extsprintf)

%description
%{summary}.

%prep
%autosetup -p 1 -n package
%nodejs_fixdep extsprintf '1.x'
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%{nodejs_symlink_deps}

%check
%{nodejs_symlink_deps} --check
make test

%files
%{!?_licensedir:%global license %doc}
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Tom Hughes <tom@compton.nu> - 1.6.0-2
- Patch tests for changes in stack traces with nodejs 4

* Sun Dec 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.6.0-1
- Initial package
